## org.h2.mvstore.db
Class MVTableEngine.Store

    java.lang.Object
      org.h2.mvstore.db.MVTableEngine.Store

Enclosing class:
  MVTableEngine

    public static class MVTableEngine.Store

extends java.lang.Object

A store with open tables.

Constructor Summary
`MVTableEngine.Store(Database db, MVStore store)`

Method Summary
`void` `close()` Close the store.
`void` `closeImmediately()` Close the store, without persisting changes.
`java.util.ArrayList<InDoubtTransaction>` `getInDoubtTransactions()`
`java.io.InputStream` `getInputStream()`
`MVStore` `getStore()`
`java.util.List<MVTable>` `getTables()`
`TransactionStore` `getTransactionStore()`
`void` `initTransactions()` Commit all transactions that are in the committing state, and rollback all open transactions.
`void` `prepareCommit(Session session, java.lang.String transactionName)` Prepare a transaction.
`void` `removeTable(MVTable table)` Remove a table.
`void` `setCacheSize(int kb)`
`void` `setWriteDelay(int value)`
`void` `store()` Store all pending changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVTableEngine.Store

    public MVTableEngine.Store(Database db,
                               MVStore store)

Method Detail

### getStore

    public MVStore getStore()

### getTransactionStore

    public TransactionStore getTransactionStore()

### getTables

    public java.util.List<MVTable> getTables()

### removeTable

    public void removeTable(MVTable table)

  Remove a table.

  Parameters:
    `table` - the table

### store

    public void store()

  Store all pending changes.

### closeImmediately

    public void closeImmediately()

  Close the store, without persisting changes.

### close

    public void close()

  Close the store. Pending changes are persisted.

### setWriteDelay

    public void setWriteDelay(int value)

### initTransactions

    public void initTransactions()

  Commit all transactions that are in the committing state, and rollback all open transactions.

### prepareCommit

    public void prepareCommit(Session session,
                              java.lang.String transactionName)

  Prepare a transaction.

  Parameters:
    `session` - the session
    `transactionName` - the transaction name (may be null)

### getInDoubtTransactions

    public java.util.ArrayList<InDoubtTransaction> getInDoubtTransactions()

### setCacheSize

    public void setCacheSize(int kb)

### getInputStream

    public java.io.InputStream getInputStream()